
QGIS Application - Bug report #5497

add geometry column error

2012-04-25 02:46 PM - Piotr Pachol

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Windows 32bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15110

Description

Problem with  adding geometry column to some kind of shapefiles (attached zipped shp file with 3 points).

After executing the function 'export/add geometry column' all xcoord and ycoord values equals zero.

Related issues:

Related to QGIS Application - Bug report # 5293: fTools doesn't work properly... Closed 2012-04-03

History

#1 - 2012-04-26 01:03 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is the attached sample a 3d vector?

#2 - 2012-04-26 01:37 AM - Salvatore Larosa

Hi Giovanni,

it is only a MultiPoint geometry vector!

#3 - 2012-04-26 08:58 AM - Giovanni Manghi

Salvatore Larosa wrote:

Hi Giovanni,

it is only a MultiPoint geometry vector!

so is this duplicated of #5293 ?

#4 - 2012-04-26 09:15 AM - Salvatore Larosa

I'd say it is, the origin of problem is the same,

but here the sample data could may be usefull to testcase!

In #5293 we have:

3D MultiPoint geometry: not working

3D Point geometry: working

and here:
MultiPoint geometry: not working

#5 - 2012-04-26 09:22 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to duplicate

Salvatore Larosa wrote:

I'd say it is, the origin of problem is the same,

but here the sample data could may be usefull to testcase!

In #5293 we have:

3D MultiPoint geometry: not working

3D Point geometry: working

and here:

MultiPoint geometry: not working

can you make a test with a multi-polygon? I feel that this can be an issue of just multi-points layers.

duplicate of #5293

#6 - 2012-04-26 09:57 AM - Salvatore Larosa

Giovanni Manghi wrote:

can you make a test with a multi-polygon?

I need of a sample data for that!

I feel that this can be an issue of just multi-points layers.

surely you're right as well as subject of #5293 says, 

but I'd want test it even with MultiPolygon and MultiLinestring.

Anyone can sharing some data for tests?

Files

test1.zip 1.31 KB 2012-04-25 Piotr Pachol
